Summary:	A KDE network sniffer application
Name:		ksniffer
Version:	0.3
Release:	%mkrel 1
License:	GPL
Group:		Networking/Other
Url:		http://www.ksniffer.org
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	kdelibs-devel
BuildRequires:	libpcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
KSniffer is a network statistics collector. It allows a user 
to watch all network traffic over any network interfaces 
connected to the host machine.KSniffer supports most TCP/IP 
protocols, (TCP, IP, UDP, ICMP, ARP, RARP as well as minimal IPX) 
KSniffer collects the # of packets, and # of bytes for each protocol. 
It also displays the activity in terms of kbits/sec, kbytes/sec and 
packets/sec. 
  
KSniffer also lets you watch port specific traffic for monitoring things 
like http, ftp, telnet, etc. traffic

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--enable-nmcheck \
	--enable-pch \
	--enable-new-ldflags \
	--enable-final

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README COPYING TODO VERSION
%dir %{_datadir}/apps/ksniffer
%dir %{_datadir}/apps/ksniffer/pics
%{_bindir}/ksniff*
%{_datadir}/applications/kde/ksniffer.desktop
%{_datadir}/apps/ksniffer/ksnifferui.rc
%{_datadir}/apps/ksniffer/pics/*.png
%{_iconsdir}/hicolor/*/apps/ksniffer.png


%changelog
* Sun Jul 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-1mdv2008.0
+ Revision: 54404
- update to final version

* Mon Jun 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-0.alpha2.1mdv2008.0
+ Revision: 38074
- new version

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.3-0.alpha1.1mdv2008.0
+ Revision: 36843
- fix file list
- new version
- drop P0


* Tue Mar 06 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-3mdv2007.0
+ Revision: 133966
- extend description a little bit

* Thu Feb 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-2mdv2007.1
+ Revision: 124353
- bump release tag
- add missing lang files
- new version

* Wed Feb 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2-0.rc1.1mdv2007.1
+ Revision: 117328
- add missing buildrequire
- Import ksniffer

